Atom feed of this document
 

 Update Network

Verb URI Description
PUT /tenants/tenant-id/networks/network-id Renames the network identified by network-id for the tenant identified by tenant-id.

Normal Response Code(s): 204

Error Response Code(s): BadRequest (400) Unauthorized (401), Forbidden (403) NetworkNotFound (420)

This operation renames a Quantum network using the data provided in the request body.

The body for this request must contain a Network object specifying a symbolic name for the network. The network entity specified in the request body can contain the network's identifier as well, even if it is not required, as the identifier must be expressed on the URI; in this case the identifier in the request body will be ignored.

 

Example 4.11. Update Network Request (XML)

Request:

PUT /tenants/XYZ/networks/158233b0-ca9a-40b4-8614-54a4a99d47d1.xml                
<network 
    name="test_create_network"/>
                   

Response:

No data is returned in the response body.


 

Example 4.12. Update Network Request (JSON)

Request:

PUT /tenants/XYZ/networks/158233b0-ca9a-40b4-8614-54a4a99d47d1.json	                
{
   "network":
       {
            "name": "test_create_network"
       }
}
                    

Response:

No data is returned in the response body.